
From: "Randy.Dunlap" <rddunlap@osdl.org>

Convert "kernel-parameters.txt" to use IA-32 in place of x86
  and X86-64 in place of x86_64, to be in line with other
  architecture documentation conventions.
Add reference to Documentation/x86_64/boot-options.txt .

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/kernel-parameters.txt |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff -puN Documentation/kernel-parameters.txt~kernel-parameters-ia-32-x86-64-cleanups Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~kernel-parameters-ia-32-x86-64-cleanups	2005-03-16 17:26:43.000000000 -0800
+++ 25-akpm/Documentation/kernel-parameters.txt	2005-03-16 17:26:43.000000000 -0800
@@ -80,6 +80,9 @@ restrictions referred to are that the re
 	VT	Virtual terminal support is enabled.
 	WDT	Watchdog support is enabled.
 	XT	IBM PC/XT MFM hard disk support is enabled.
+	X86-64	X86-64 architecture is enabled.
+			More X86-64 boot options can be found in
+			Documentation/x86_64/boot-options.txt .
 
 In addition, the following text indicates that the option:
 
@@ -403,7 +406,7 @@ running once the system is up.
 
 	dtc3181e=	[HW,SCSI]
 
-	earlyprintk=	[x86, x86_64]
+	earlyprintk=	[IA-32, X86-64]
 			earlyprintk=vga
 			earlyprintk=serial[,ttySn[,baudrate]]
 
@@ -867,7 +870,7 @@ running once the system is up.
 
 	noexec		[IA-64]
 
-	noexec		[i386, x86_64]
+	noexec		[IA-32, X86-64]
 			noexec=on: enable non-executable mappings (default)
 			noexec=off: disable nn-executable mappings
 
_
